import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:tosspayments_sdk_flutter/tosspayments_sdk_flutter.dart';
import 'package:tosspayments_sdk_flutter/model/paymentData.dart';

class Payment extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    PaymentData data = Get.arguments as PaymentData;

    return TossPayments(
      appBar: AppBar(
        title: const Text('결제하기'),
        centerTitle: true,
        leading: IconButton(
          icon: const Icon(Icons.arrow_back_ios),
          onPressed: () {
            Get.back();
          },
        ),
      ),
      initialChild: SafeArea(
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: const [
              Text('Loading...', style: TextStyle(fontSize: 18.0)),
            ],
          ),
        ),
      ),
      apiKey: 'test_ck_D5GePWvyJnrK0W0k6q8gLzN97Eoq',
      data: data,
      callback: (Map<String, String> result) {
        Get.offNamed('/result', arguments: result);
      },
    );
  }
}
